	//<Begin_<GroupID>>******************* Workflow Group Rule <GroupID>
	
	if(!g_MqRef.MqArr.IsValueInArray(<GroupID>, m_arrDisabledBizRuleIDs)){
		if (!m_varDependentFields[<Order>]){
			m_varDependentFields[<Order>]=new MqDependentFields(objFieldCollection,strHTMLContainer,objMqAutoList, undefined, strExtraHTMLContainers, <Order>);
			var arrTargetField = new Array();
			var arrCondFields = new Array();

			<InitializeTargetArray>
			<InitializeCondArray>
	
			var fTriggerOnFieldChange=<fTriggerOnFieldChange>;
	
			if (fTriggerOnFieldChange){
				for (i=0;i<arrCondFields.length;i++){
					if (arrCondFields[i]){
						var strFieldID=arrCondFields[i][INDEX_FIELD_ID];
						if (strFieldID){
							m_varDependentFields[<Order>].SetOnChange(strFieldID,
								"var objWrk; if(Record){if(Record.parent){if(Record.parent.m_objWorkFlow){" +
									"objWrk=Record.parent.m_objWorkFlow;}}}" +
									"if(!objWrk){if(m_objWorkFlow){objWrk=m_objWorkFlow}}if(objWrk){objWrk.OnChange(<Order>,true,"+strFieldID+");}");
						}
					}
				}
				// Assumption: most of dependent fields don't display current value - workflow does
				m_varDependentFields[<Order>].DisplayCurrentValue=false;
			}else{
				m_varDependentFields[<Order>].DisplayCurrentValue=true;
			}
	
			m_varDependentFields[<Order>].Initialize(arrTargetField,arrCondFields, 
							strSourcePage,"<TableName>",blnLinkFldValsByID,objDisplayElements);
	
			m_arrRuleOrder[m_arrRuleOrder.length]=<Order>;
		}else{
			m_varDependentFields[<Order>].InitializeTargetFields();
		}			
	}


	//*******************Workflow Group Rule <GroupID>    <End_<GroupID>>

